description

# DomQuad class Null safety

Annotations
  - @Native("DOMQuad")

## Constructors

DomQuad([Map? p1, Map? p2, Map? p3, Map? p4])
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
p1 → DomPoint?
  read-only
p2 → DomPoint?
  read-only
p3 → DomPoint?
  read-only
p4 → DomPoint?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

getBounds() → Rectangle<num>
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Methods

fromQuad([Map? other]) → DomQuad
fromRect([Map? other]) → DomQuad